summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Geoff Ritter2011-03-05 13:38:47 +0100
committer Niels Horn2011-03-05 13:38:47 +0100
commite6655a28afc2261749cdf9e80163881e522315db (patch)
treef4d7b3de46f52be8f9598d3f58108496e84e37f0
parentd08bdbcca6f491f2d511f5225ab6b76cfa940ea5 (diff)
downloadslackbuilds-e6655a28afc2261749cdf9e80163881e522315db.tar.gz
misc/spotlighter: Added (show a spot light on the desktop)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--misc/spotlighter/README3
-rw-r--r--misc/spotlighter/doinst.sh10
-rw-r--r--misc/spotlighter/slack-desc19
-rw-r--r--misc/spotlighter/spotlighter.SlackBuild91
-rw-r--r--misc/spotlighter/spotlighter.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/misc/spotlighter/README b/misc/spotlighter/README
new file mode 100644
index 0000000000..7a22d68ad3
--- /dev/null
+++ b/misc/spotlighter/README
@@ -0,0 +1,3 @@
+Spotlighter is a tool to show a movable and resizable spotlight on the
+desktop. It's primary function is for use during presentations and in
+conjunction with tools like ardesia.
diff --git a/misc/spotlighter/doinst.sh b/misc/spotlighter/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/misc/spotlighter/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/spotlighter/slack-desc b/misc/spotlighter/slack-desc
new file mode 100644
index 0000000000..d380ecaa7a
--- /dev/null
+++ b/misc/spotlighter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spotlighter: Spotlighter (show a spot light on the desktop)
+spotlighter:
+spotlighter: Spotlighter is a tool to show a movable and resizable spotlight on the
+spotlighter: desktop. It's primary function is for use during presentations and in
+spotlighter: conjunction with tools like ardesia.
+spotlighter:
+spotlighter:
+spotlighter:
+spotlighter:
+spotlighter:
+spotlighter:
diff --git a/misc/spotlighter/spotlighter.SlackBuild b/misc/spotlighter/spotlighter.SlackBuild
new file mode 100644
index 0000000000..7c37a834c2
--- /dev/null
+++ b/misc/spotlighter/spotlighter.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for spotlighter
+
+# Written by Geoff Ritter < geoff dot ritter at gmail dot com >
+
+# Public Domain
+
+PRGNAM=spotlighter
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+# If you are going to blindly reset permissions, this is a bit more readable.
+# However '-perm /111' may only be compatible with only gnu/find.
+find . \
+ -type d -exec chmod 755 {} \; -o \
+ -type f -perm /111 -exec chmod 755 {} \; -o \
+ -type f -exec chmod 644 {} \;
+
+# Note, while there are no library files installed, the Make file apparently
+# uses --libdir to decided where to find some of the libraries.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Make sure the Icon parameter is set properly in .desktop file
+sed -i 's/Icon=.*/Icon=spotlighter/' $PKG/usr/share/applications/spotlighter.desktop
+# Copy the icon to the proper folder
+mkdir -p $PKG/usr/share/icons/hicolor/22x22/apps/
+cp $PKG/usr/share/pixmaps/spotlighter.png $PKG/usr/share/icons/hicolor/22x22/apps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# No Manpages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/spotlighter/spotlighter.info b/misc/spotlighter/spotlighter.info
new file mode 100644
index 0000000000..e75e645bf5
--- /dev/null
+++ b/misc/spotlighter/spotlighter.info
@@ -0,0 +1,10 @@
+PRGNAM="spotlighter"
+VERSION="0.1"
+HOMEPAGE="http://code.google.com/p/ardesia/"
+DOWNLOAD="http://ardesia.googlecode.com/files/spotlighter-0.1.tar.gz"
+MD5SUM="1b13b342613a0769c76fe9ef09f4a5f4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Geoff Ritter"
+EMAIL="geoff dot ritter at gmail dot com"
+APPROVED="Niels Horn"